MagicMirror² v2.5.0 is available! For more information about this release, check out this topic.

Did an update got errors and need help



  • Did as usually but got this errors.
    And i can not start the mirror.
    So rely need help on getting it to work again.

    npm ERR! Linux 4.9.20-v7+
    npm ERR! argv "/usr/bin/nodejs" "/usr/bin/npm" "start"
    npm ERR! node v6.10.2
    npm ERR! npm  v3.10.10
    npm ERR! code ELIFECYCLE
    npm ERR! magicmirror@2.1.3 start: `sh run-start.sh`
    npm ERR! Exit status 1
    npm ERR! 
    npm ERR! Failed at the magicmirror@2.1.3 start script 'sh run-start.sh'.
    npm ERR! Make sure you have the latest version of node.js and npm installed.
    npm ERR! If you do, this is most likely a problem with the magicmirror package,
    npm ERR! not with npm itself.
    npm ERR! Tell the author that this fails on your system:
    npm ERR!     sh run-start.sh
    npm ERR! You can get information on how to open an issue for this project with:
    npm ERR!     npm bugs magicmirror
    npm ERR! Or if that isn't available, you can get their info via:
    npm ERR!     npm owner ls magicmirror
    npm ERR! There is likely additional logging output above.
    
    npm ERR! Please include the following file with any support request:
    npm ERR!     /home/pi/MagicMirror/npm-debug.log
    pi@magicpi:~/MagicMirror $ 
    
    


  • No one how can assist?


  • Module Developer

    @wizz

    This will take you less than an hour and you’ll be up and running AND you won’t lose anything from your previous install

    https://forum.magicmirror.builders/topic/5274/how-to-manually-install-mm-on-your-pi-for-absolute-beginners